Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.ss.util
Enum CellReference.NameType

    java.lang.Object
      java.lang.Enum<CellReference.NameType>
          org.apache.poi.ss.util.CellReference.NameType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CellReference.NameType>

Enclosing class:
  CellReference

    public static enum CellReference.NameType

extends java.lang.Enum<CellReference.NameType>

Used to classify identifiers found in formulas as cell references or not.

Enum Constant Summary
`BAD_CELL_OR_NAMED_RANGE`
`CELL`
`COLUMN`
`NAMED_RANGE`
`ROW`

Method Summary
`static CellReference.NameType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CellReference.NameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CELL

    public static final CellReference.NameType CELL

### NAMED_RANGE

    public static final CellReference.NameType NAMED_RANGE

### COLUMN

    public static final CellReference.NameType COLUMN

### ROW

    public static final CellReference.NameType ROW

### BAD_CELL_OR_NAMED_RANGE

    public static final CellReference.NameType BAD_CELL_OR_NAMED_RANGE

Method Detail

### values

    public static CellReference.NameType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CellReference.NameType c : CellReference.NameType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CellReference.NameType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.